jv.anim

## Interface PsKeyframeIf

- All Known Implementing Classes:
    PsKeyframe

      public interface PsKeyframeIf

  Additional interface for dynamic objects to allow stepping through keyframes. This methods are called from animation panel to allow viewing and stepping through set of keyframes.

  Interface may be implemented additionally to PsTimeListenerIf. In this case, if a dynamic object is registered inside an animation object, then the animation panel has buttons enabled which allow stepping through keyframes.

  See Also:
    `PsAnimation.enableKeys(boolean)`
  Author:
    Konrad Polthier
  Version:
    02.01.00, 1.00 revised (kp)
    02.01.00, 1.00 created (kp) From methods getTimeOf..Key() of PsTimeListenerIf.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getTimeOfFirstKey()` Minimal value of animation interval if instance has keyframes.
    `double` | `getTimeOfLastKey()` Maximal value of animation interval if instance has keyframes.
    `double` | `getTimeOfNextKey()` Current time plus time step increment if instance has keyframes.
    `double` | `getTimeOfPreviousKey()` Current time minus time step increment if instance has keyframes.

- - ### Method Detail

    - #### getTimeOfFirstKey

          double getTimeOfFirstKey()

      Minimal value of animation interval if instance has keyframes. Specific for keyframe animations, otherwise default implementations suffice. Method is invoked from animation panel to browse through set of keys.
      See Also:
        `PsAnimation.enableKeys(boolean)`

    - #### getTimeOfPreviousKey

          double getTimeOfPreviousKey()

      Current time minus time step increment if instance has keyframes. Specific for keyframe animations, otherwise default implementations suffice. Method is invoked from animation panel to browse through set of keys.

    - #### getTimeOfNextKey

          double getTimeOfNextKey()

      Current time plus time step increment if instance has keyframes. Specific for keyframe animations, otherwise default implementations suffice.
      See Also:
        `PsAnimation.enableKeys(boolean)`

    - #### getTimeOfLastKey

          double getTimeOfLastKey()

      Maximal value of animation interval if instance has keyframes. Specific for keyframe animations, otherwise default implementations suffice.
      See Also:
        `PsAnimation.enableKeys(boolean)`

"

The software JavaView? is copyright protected. All Rights Reserved.
"